import {useEffect, useState} from 'react';
import remoteConfig from '@react-native-firebase/remote-config';
import Status from '../../utils/Status';

const ONE_HOUR = 3600000;

const useRemoteConfig = () => {
  const [status, setStatus] = useState(Status.LOADING);
 
  useEffect(() => {
    const init = async () => {
      try {
        await remoteConfig().setConfigSettings({
          minimumFetchIntervalMillis: ONE_HOUR,
        });
     
        await remoteConfig().setDefaults({
          BASE_URL: 'https://transporte.hz.kursor.cl',
          HEADER_IMAGE_URL:
            'https://cdn-icons-png.flaticon.com/512/8371/8371047.png',
          USER: 'usuario1',
          PASSWORD: 'usuario1',
          RUT:'11111111-1',
          CHANGE_PAGE_INTERVAL: 20000, // in miliseconds
          UPDATE_BUSES_LIST_INTERVAL: 60000, // in miliseconds
        });
        
        await remoteConfig().fetchAndActivate();

        setStatus(Status.SUCCESS);
      } catch (error) {
        console.log(error );
        setStatus(Status.ERROR);
      }
    };

    init();
  }, []);

  return {status};
};

export default useRemoteConfig;
